# trace\_filter

#### **Parameters:**

**Object** - The filter object

* **fromBlock: Quantity | Tag** - (optional) From this block.
* **toBlock: Quantity | Tag** - (optional) To this block.
* **fromAddress: Array** - (optional) Sent from these addresses.
* **toAddress: Address** - (optional) Sent to these addresses.
* **after: Quantity** - (optional) The offset trace number
* **count: Quantity** - (optional) Integer number of traces to display in a batch.

#### **Returns:**

**Array**- Trace object

#### Example:

{% code overflow="wrap" %}

```python
// Request
curl https://arc.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"method":"trace_filter","params":[{"fromBlock":"0xf2f8c7","toBlock":"0xf2f8c8"}],"id":1,"jsonrpc":"2.0"}'
      
// Result
{
      "jsonrpc":"2.0",
      "id":1,
      "result":{as described above}
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/ethereum-raw-api/trace_filter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
